Create Checkout Link
https://api.druo.com/checkout/link/createCreates a checkout link for an end user to initiate a payment flow.
This endpoint generates a customizable Checkout Link. You can either pass an existing end user ID or provide details to create a new one, configure branding parameters (colors, names, descriptions), and define redirection and reference details for the transaction flow.
Request body
The unique ID of an existing end user. If not provided, you must populate the new_end_user_details field.
The details for creating a new end user. This field is required if existing_end_user_id is empty.
The name of this checkout link.
The payment transaction information.
The unique identifier of the merchant associated with this checkout link.
The description for this checkout link.
The HEX code for the link's background color.
The HEX code for the link's verification flow background color. Defaults to #ffffff if left empty.
The HEX code for the link's verification flow text color. Defaults to #333333 if left empty.
The default institution used for the checkout link.
The primary reference of the checkout link. Can be any value used to associate the connected account to an entity in an external system.
The secondary reference of the checkout link. Can be any value used to associate the connected account to an entity in an external system.
The language code to display the link in. Defaults to English if left blank.
The URL to redirect the user to after the checkout flow is successfully completed.
The expiration date for this checkout link in GMT (ISO 8601 format). If set and expired, the user will be presented with an error upon opening the link.
A set of key-value pairs that you can attach to the object. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.
If true, the user is redirected directly to the redirect URL without showing the default DRUO confirmation screen.
Response
The unique UUID of the checkout link.
clk_422f0f81-5001-4cce-a229-242d9ab9960aThe checkout URL where the user should be redirected to complete their transaction.
https://link.druo.com/checkout/?sl=e4243523423423423423The description of the checkout link.
Checkout for Order #3553432The HEX code for the link's verification flow background color.
#ffffffThe HEX code for the link's verification flow text color.
#333333The end user details associated with this checkout link.
The transaction details associated with this checkout link.
The default institution associated with the checkout link.
The secondary reference of the checkout link.
bj39fhow39fhqp3f0hfae4344The language code used to display this link. If left blank, defaults to English.
es_COen_USes_COThe URL to redirect the user to after the checkout flow is completed. Parameters such as code, reference, and status will be appended to this URL.
https://example.comThe expiration date for this checkout link in GMT.
2021-11-16T23:23:38If true, the user is redirected directly to the redirect URL without showing the DRUO confirmation page.
falseThe creation date of the checkout link in GMT.
2021-11-15T23:23:38ZThe last update date of the checkout link in GMT.
2021-11-15T23:23:38Z
